com.jnape.palatable.lambda.monoid.builtin

## Class Trivial

- java.lang.Object
- - com.jnape.palatable.lambda.monoid.builtin.Trivial

- All Implemented Interfaces:
    Fn1<Unit,Fn1<Unit,Unit>>, Fn2<Unit,Unit,Unit>, Applicative<Fn1<Unit,Unit>,Fn1<Unit,?>>, Cartesian<Unit,Fn1<Unit,Unit>,Fn1<?,?>>, Cocartesian<Unit,Fn1<Unit,Unit>,Fn1<?,?>>, Contravariant<Unit,Profunctor<?,Fn1<Unit,Unit>,Fn1<?,?>>>, Functor<Fn1<Unit,Unit>,Fn1<Unit,?>>, Profunctor<Unit,Fn1<Unit,Unit>,Fn1<?,?>>, Monad<Fn1<Unit,Unit>,Fn1<Unit,?>>, MonadReader<Unit,Fn1<Unit,Unit>,Fn1<Unit,?>>, MonadRec<Fn1<Unit,Unit>,Fn1<Unit,?>>, MonadWriter<Unit,Fn1<Unit,Unit>,Fn1<Unit,?>>, Monoid<Unit>, Semigroup<Unit>

      public final class Trivial
      extends Object
      implements Monoid<Unit>

  The trivial `Unit` `Monoid` formed under `constantly`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Unit` | `checkedApply(Unit x, Unit y)`
    `Unit` | `identity()` The identity element of this monoid.
    `static Trivial` | `trivial()`
    `static Fn1<Unit,Unit>` | `trivial(Unit x)`
    `static Unit` | `trivial(Unit x, Unit y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monoid.Monoid

      `flip, foldLeft, foldMap, foldRight, monoid, monoid, reduceLeft, reduceRight`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### identity

          public Unit identity()

      Description copied from interface: `Monoid`
      The identity element of this monoid.
      Specified by:
        `identity` in interface `Monoid<Unit>`
      Returns:
        the identity

    - #### checkedApply

          public Unit checkedApply(Unit x,
                                   Unit y)
                            throws Throwable

      Specified by:
        `checkedApply` in interface `Fn2<Unit,Unit,Unit>`
      Throws:
        `Throwable`

    - #### trivial

          public static Trivial trivial()

    - #### trivial

          public static Fn1<Unit,Unit> trivial(Unit x)

    - #### trivial

          public static Unit trivial(Unit x,
                                     Unit y)